### Method

# JavaScriptCore Context throw_with_name_printf

#### Declaration [src]

    void
    jsc_context_throw_with_name_printf (
      JSCContext* context,
      const char* error_name,
      const char* format,
      ...
    )

#### Description [src]

Throw an exception to `context` using the given error name and the formatted string as error message. The created `JSCException` can be retrieved with jsc_context_get_exception().

This method is not directly available to language bindings.

#### Parameters

`error_name`

  Type: `const char*`

  The error name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`format`

  Type: `const char*`

  The string format.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  The parameters to insert into the format string.